iscsi_strerror(3)

NAME
iscsi_strerror - Convert error code to string.

SYNOPSIS
const char * iscsi_strerror (int rc);

ARGUMENTS

rc  int. Return code by libiscsiur functions. When provided error code is not a valid error code, return "Invalid argument".

DESCRIPTION

Convert error code (int) to string (const char *):

* LIBISCSI_OK -- "OK"

* LIBISCSI_ERR_BUG -- "BUG of libopeniscsiusr library"

* LIBISCSI_ERR_SESS_NOT_FOUND - "Specified iSCSI session not found"

* LIBISCSI_ERR_ACCESS - "Permission deny"

* LIBISCSI_ERR_NOMEM - "Out of memory"

* LIBISCSI_ERR_SYSFS_LOOKUP - "Could not lookup object in sysfs"

* Other invalid error number -- "Invalid argument"

RETURN
const char *. The meaning of provided error code. Don't free returned pointer.